#ifndef OVM_TRACE_H
#define OVM_TRACE_H

#include "base.h"

typedef struct {
	guint32 timestamp;
	guint32 count;
	struct {
		guint32 addr;
		gdouble value;
	} data[];
} trace_entry_t;

typedef struct {
	guint32 magic, team, scenario;
	GPtrArray *data;
	gsize pos;
} trace_t;

trace_t *trace_load(const gchar *filename);
void trace_free(trace_t *trace);

#endif
